NOZZLE_RUN_UPDOWN(3)

NAME
nozzle_run_updown - execute updown commands associated with a nozzle device.

SYNOPSIS
#include <libnozzle.h>

int nozzle_run_updown(
    const nozzle_t  nozzle,
    uint8_t         action,
    char          **exec_string
);

DESCRIPTION

nozzle_run_updown

nozzle - pointer to the nozzle struct

action - pre-up.d / up.d / down.d / post-down.d (see defines above)

exec_string - pointers to string to record executing action stdout/stderr. The string is malloc'ed, the caller needs to free the buffer. If the script generates no output this string might be NULL.

It is the application responsibility to call helper scripts before or after creating/destroying interfaces or IP addresses.

RETURN VALUE

0 on success -1 on error and errno is set (sanity checks and internal calls. -2 on error from executing the shell scripts, and no errno is set.

SEE ALSO

nozzle_close(3), nozzle_set_mtu(3), nozzle_get_fd(3), nozzle_get_mtu(3), nozzle_reset_mtu(3), nozzle_set_up(3), nozzle_get_ips(3), nozzle_set_down(3), nozzle_reset_mac(3), nozzle_get_handle_by_name(3), nozzle_open(3), nozzle_del_ip(3), nozzle_get_mac(3), nozzle_set_mac(3), nozzle_get_name_by_handle(3), nozzle_add_ip(3)

COPYRIGHT

Copyright (C) 2010-2026 Red Hat, Inc. All rights reserved.